package com.bonus.canteen.core.supply.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

@ApiModel("提交决标模型")
public class DrpFinalBidsQuotePageModel implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("报价数量")
   private BigDecimal quoteNum;
   @ApiModelProperty("单价")
   private Integer singlePrice;
   @ApiModelProperty("总价")
   private Integer totalPrice;
   @ApiModelProperty("送货日期")
   private LocalDate arrivalTime;
   @ApiModelProperty("单价差额")
   private Integer diffPrice;
   @ApiModelProperty("差异比")
   private BigDecimal diffRate;
   @ApiModelProperty("成本差额")
   private BigDecimal diffCost;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public BigDecimal getQuoteNum() {
      return this.quoteNum;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public LocalDate getArrivalTime() {
      return this.arrivalTime;
   }

   public Integer getDiffPrice() {
      return this.diffPrice;
   }

   public BigDecimal getDiffRate() {
      return this.diffRate;
   }

   public BigDecimal getDiffCost() {
      return this.diffCost;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setQuoteNum(final BigDecimal quoteNum) {
      this.quoteNum = quoteNum;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setArrivalTime(final LocalDate arrivalTime) {
      this.arrivalTime = arrivalTime;
   }

   public void setDiffPrice(final Integer diffPrice) {
      this.diffPrice = diffPrice;
   }

   public void setDiffRate(final BigDecimal diffRate) {
      this.diffRate = diffRate;
   }

   public void setDiffCost(final BigDecimal diffCost) {
      this.diffCost = diffCost;
   }


   public String toString() {
      Long var10000 = this.getSupplierId();
      return "DrpFinalBidsQuotePageModel(supplierId=" + var10000 + ", supplierName=" + this.getSupplierName() + ", quoteNum=" + String.valueOf(this.getQuoteNum()) + ", singlePrice=" + this.getSinglePrice() + ", totalPrice=" + this.getTotalPrice() + ", arrivalTime=" + String.valueOf(this.getArrivalTime()) + ", diffPrice=" + this.getDiffPrice() + ", diffRate=" + String.valueOf(this.getDiffRate()) + ", diffCost=" + String.valueOf(this.getDiffCost()) + ")";
   }
}
